# makefile for PASCAL-Kriber (OS/2 2.x version)
#
# PLEASE NOTE:
#
#  Compiling PASCAL-Kriber under OS/2 requires:
#
#   1. make utility (preferably nmake.exe)
#   2. PASCAL to C translator
#   3. C compiler
#
# All these programs are available from ftp-os2.nmsu.edu:
#
#   1. /pub/os2/2.x/programming/nmake2.zip
#   2. /pub/os2/2.x/programming/p2c_1_20.zip
#   3. /pub/os2/2.x/unix/gnu/emx-0.8f/emxdev.zip
#      /pub/os2/2.x/unix/gnu/emx-0.8f/gnudev.zip  
#
# IMPORTANT: Add 
#
#             DollarIdents       2
#             LiteralFiles       2
#             StructFiles        1
#             UnBufferedFile stdin
#
#            to your loc.p2c file. 
#

gccOptions       = -O2 
gccLink          = -lp2c -los2

KriberObjects    = kriber.o

progs            = Kriber

all              : $(progs)

Kriber           : $(KriberObjects)
             	   gcc $(gccOptions) $(KriberObjects) -o kriber.exe $(gccLink)

$(KriberObjects) :
                   p2c $*.pas
                   gcc $(gccOptions) -c $*.c

